Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IRuntimeContext

All Known Subinterfaces:
  IBlockingInteractionBaseRequestContext, IBlockingInteractionRequestContext, IGetMarkupBaseRequestContext, IGetMarkupRequestContext, IGetRenderDependenciesRequestContext, IGetResourceRequestContext, IHandleEventsRequestContext

    public interface IRuntimeContext

An interface that represents data of the "runtimeContext" element which described in the WSRP specification.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getDoctypeUri()`
`String` | `getNamespacePrefix()` A prefix string for scoping tokens (javascript variables, html id attributes, etc) to the current portlet.
`String` | `getPortletInstanceKey()` Returns the current portlet's unique id.
`String` | `getSessionID()` A session id that was sent by a producer.
`String` | `getSkeleton()`
`String` | `getSkeletonChromosome()`
`String` | `getSkeletonPath()`
`String` | `getSkin()`
`String` | `getSkinChromosome()`
`String` | `getSkinPath()`
`IUrlTemplates` | `getTemplates()` Returns URL templates used by the current portlet.
`String` | `getThemeName()`
`String` | `getThemeSkeletonChromosome()`
`String` | `getThemeSkinChromosome()`
`String` | `getUserAuthentication()` Returns a string that indicates how the end-user was authenticated.
`boolean` | `isReturnContentToCaller()`
`boolean` | `isUsingAltSkeleton()`
`boolean` | `isUsingAltSkin()`
`void` | `setDoctypeUri(String doctypeUri)`
`void` | `setNamespacePrefix(String namespacePrefix)`
`void` | `setPortletInstanceKey(String portletInstanceKey)`
`void` | `setReturnContentToCaller(boolean isReturnContentToCaller)`
`void` | `setSessionID(String sessionID)`
`void` | `setSkeleton(String skeleton)`
`void` | `setSkeletonChromosome(String skeletonChromosome)`
`void` | `setSkeletonPath(String skeletonPath)`
`void` | `setSkin(String skin)`
`void` | `setSkinChromosome(String skinChromosome)`
`void` | `setSkinPath(String skinPath)`
`void` | `setTemplates(IUrlTemplates templates)`
`void` | `setThemeName(String themeName)`
`void` | `setThemeSkeletonChromosome(String themeSkeletonChromosome)`
`void` | `setThemeSkinChromosome(String themeSkinChromosome)`
`void` | `setUserAuthentication(String userAuthentication)`
`void` | `setUsingAltSkeleton(boolean usingAltSkeleton)`
`void` | `setUsingAltSkin(boolean usingAltSkin)`

Method Detail

### getUserAuthentication

    String getUserAuthentication()

  Returns a string that indicates how the end-user was authenticated. The common values are : "wsrp:none" -> No authentication is done. "wsrp:password" -> The end-user identified themselves using the common userid/password scenario. "wsrp:certificate" -> The end-user presented a security certificate to validate their identity. Other string -> authentication was done outside this limited set of possibilities.

  Returns
    a string indicating how the end-user was authenticated.

### getPortletInstanceKey

    String getPortletInstanceKey()

  Returns the current portlet's unique id.

  Returns
    the current portlet's unique id.

### getNamespacePrefix

    String getNamespacePrefix()

  A prefix string for scoping tokens (javascript variables, html id attributes, etc) to the current portlet.

  Returns
    A prefix string.

### getSessionID

    String getSessionID()

  A session id that was sent by a producer.

  Returns
    A session id from a producer.

### getTemplates

    IUrlTemplates getTemplates()

  Returns URL templates used by the current portlet. If a portlet doesn't process URL templates or if templates are stored in a session then this method returns `null`.

  Returns
    URL templates if available.

### setTemplates

    void setTemplates(IUrlTemplates templates)

### getThemeName

    String getThemeName()

### getThemeSkeletonChromosome

    String getThemeSkeletonChromosome()

### getThemeSkinChromosome

    String getThemeSkinChromosome()

### getSkinChromosome

    String getSkinChromosome()

### getSkeletonChromosome

    String getSkeletonChromosome()

### getSkeleton

    String getSkeleton()

### getSkeletonPath

    String getSkeletonPath()

### getSkin

    String getSkin()

### getSkinPath

    String getSkinPath()

### getDoctypeUri

    String getDoctypeUri()

### isUsingAltSkeleton

    boolean isUsingAltSkeleton()

### isUsingAltSkin

    boolean isUsingAltSkin()

### setUserAuthentication

    void setUserAuthentication(String userAuthentication)

### setPortletInstanceKey

    void setPortletInstanceKey(String portletInstanceKey)

### setNamespacePrefix

    void setNamespacePrefix(String namespacePrefix)

### setSessionID

    void setSessionID(String sessionID)

### setThemeName

    void setThemeName(String themeName)

### setThemeSkeletonChromosome

    void setThemeSkeletonChromosome(String themeSkeletonChromosome)

### setThemeSkinChromosome

    void setThemeSkinChromosome(String themeSkinChromosome)

### setSkinChromosome

    void setSkinChromosome(String skinChromosome)

### setSkeletonChromosome

    void setSkeletonChromosome(String skeletonChromosome)

### setSkeleton

    void setSkeleton(String skeleton)

### setSkeletonPath

    void setSkeletonPath(String skeletonPath)

### setSkinPath

    void setSkinPath(String skinPath)

### setDoctypeUri

    void setDoctypeUri(String doctypeUri)

### setSkin

    void setSkin(String skin)

### setUsingAltSkeleton

    void setUsingAltSkeleton(boolean usingAltSkeleton)

### setUsingAltSkin

    void setUsingAltSkin(boolean usingAltSkin)

### setReturnContentToCaller

    void setReturnContentToCaller(boolean isReturnContentToCaller)

### isReturnContentToCaller

    boolean isReturnContentToCaller()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.